/* =========================================================== *
 * Лайауты формы                                               *
 * =========================================================== */



.form-layout {

}

.form-layout_block {

}

.form-layout-context_left {
    text-align: left;
}

.form-layout-context_center {
    text-align: center;
}

.form-layout-context_right {
    text-align: right;
}

.form-layout_twoColumns,
.form-layout_columns {
    border: 0;
    border-collapse: collapse;
}

.form-layout_card {
    display: block;
    position: relative;
}
    .form-layout_card > .form-layout-item {
        width: 0px;
        height: 0px;
        position: relative;
        overflow: hidden;
        visibility: visible;
    }
    .form-layout_card > .form-layout-item_active {
        width: auto !important;
        height: auto !important;
    }

.form-bbuttons {
    background-color: #e9eef1;
    padding: 15px;
}
    .tabs .form-bbuttons {
        margin-top: -1px;
        border: 1px solid #C2C2C2;
        border-top: 0;
    }

    .form-bbuttons .form-field-select {
        margin-bottom: 0px;
    }


.form-separator {
    height: 1px;
    margin: 15px 0 13px 0;
    border-top: 2px dotted #000000;
}

.form-label {
    margin: 0 5px 2px 9px;
    font-size: 13px;
}

.form-label_filled {
    background: #7e7e7e;
    padding: 2px 6px 0px;
    color: white;
    margin: 0px;
    margin-bottom: -2px;
}
.form-label_filled [class^=icon-] {
    margin-right: 6px;
}
.form-label_filled [class^=icon-]:before {
    color: white;
}

.form-label_hideable {
    cursor: pointer;
}

.form-subtext {
    font-size: 12px;
    color: #848484;
    margin: -10px 0 12px 10px;
}

/* =========================================================== *
 * Поля формы                                                  *
 * =========================================================== */

.form-field {
    height: 22px;
    line-height: 22px;
    border: 1px #7e7e7e solid;
    overflow: hidden;
    margin-bottom: 12px;
    padding: 3px 8px;
    background: #ffffff;
}
    .form-field_focus {
        border: 1px #24aae3 solid !important;
        background: #fffbe3 !important;
    }
    .form-field_disabled {
        border: 1px #c1c1c1 solid !important;
        background: #eceded !important;
    }

    .form-field_disabled select {
        color: graytext;
    }

    .form-field input,
    .form-field textarea {
        font-family: inherit;
        width: 100%;
        height: 22px;
        border: 0px;
        margin: 0px;
        padding: 0px;
        background: transparent;
        outline: none;
        box-sizing: border-box;
        -moz-box-sizing: border-box; /* ff2 */
        -ms-box-sizing: border-box; /* ie8 */
        -webkit-box-sizing: border-box; /* safari3 */
        -khtml-box-sizing: border-box; /* konqueror */
    }

.form-field-width_sm {
    width: 150px !important;
}
.form-field-width_med {
    width: 260px !important;
}

.form-field-error {
    border-color: red !important;
    background: red !important;
}
    .form-field-error input {
        color: #fff;
    }

.form-field-input_undefined {
    color: #888;
    font-style: italic;
}

.form-field-contact > div {
    float: left;
    width: 30%;
    margin-right: 10px;
}
.form-field-contact > a {
    margin-top: 20px;
}

/* Для диапазонов */
.form-field-range2 > .form-field, .form-field-range2 > .form-field-range2_text {
    float: left;
}

.form-field-range2 > .form-field {
    width: 100px;
}

.form-field-range2 > .form-field-range2_text{
    line-height: 24px;
}

/* textarea */
.form-field-input,
.form-field-password {
/*    background: #eff0f0;
    background: -webkit-gradient(linear, left top, left bottom, from(#eff0f0), to(#ffffff));
    background: -moz-linear-gradient(top, #eff0f0, #ffffff);
    background: -ms-linear-gradient(#eff0f0, #ffffff);
    background: -o-linear-gradient(top, #eff0f0, #ffffff);
    background: linear-gradient(top, #eff0f0, #ffffff);*/
}
    .form-field-input input {
    }

/* индикатор надёжности пароля */
.password-strength {
    position: relative;
    padding-left: 110px;
    height: 10px;
    line-height: 9px;
    font-style: italic;
    white-space: nowrap;
    margin-bottom: 12px;
}
    .password-strength:before {
        content: '';
        position: absolute;
        left: 0px;
        top: 0px;
        width: 100px;
        height: 10px;
        background: #e2e2e2;
    }
    .password-strength:after {
        content: '';
        position: absolute;
        left: 0px;
        top: 0px;
        width: 0px;
        height: 10px;
    }

.password-strength_error {
    color: #9d0b0e;
}
    .password-strength_error:before {
        outline: 1px solid #9d0b0e;
    }
.password-strength_weak {
    color: #9d0b0e;
}
    .password-strength_weak:after {
        width: 20px;
        background: #9d0b0e;
    }
.password-strength_medium {
    color: #f7751d;
}
    .password-strength_medium:after {
        width: 60px;
        background: #f7751d;
    }
.password-strength_strong {
    color: #39a29b;
}
    .password-strength_strong:after {
        width: 100px;
        background: #39a29b;
    }

/* инпут с кнопкой */
.form-field-input-triggerable input {
    margin-right: -20px;
    padding-right: 20px;
}
.password-trigger {
    cursor: pointer;
}
    .form-field-input-triggerable .password-trigger {
        position: relative;
        top: -2px;
    }

.form-field-input_tokens {
    height: auto;
    padding: 4px;
}
    .form-field-input_tokens .ui-widget-content {
        background: none;
    }

.form-field__tagit {
    margin-bottom: 12px !important;
    background: none;
}

/* editable label */
.form-field-editable-label .editable-label__input {
    position: relative;
    top: -7px;
    left: -9px;
    margin-bottom: 0px;
}

/* selectable label */
.form-field-selectable-label {
    border-left: 5px solid lightgray;
    padding: 5px;
    cursor: pointer;
}
    .form-field-selectable-label:hover {
        border-left: 5px solid gray;
    }
    .form-field-selectable-label .selectable-label__text {
    }

/* textarea */
.form-field-textarea {
    height: 200px;
}
    .form-field-textarea textarea {
        width: 100%;
        height: 100%;
        min-width: 100%;
        max-width: 100%;
    }

.form-field-textarea_large {
    height: 500px;
}


/* select */
select {
    background: none;
}
.form-field-select {
    height: 22px;
    width: 182px;
}
    .form-field-select select {
           border: 0 none;
           width: 100%;
        height: 18px;
        line-height: 18px;
/*        height: 18px;
        line-height: 18px;
        margin-top: 3px;
*/
        background: #fff;
    }
        .form-field-select__option_group {
            color: gray;
        }

/* multiple */
.form-field-select_multiple {
    height: 224px;
    padding-top: 3px;
    padding-bottom: 3px;
}
    .form-field-select_multiple select {
        height: 218px;
        margin-top: 0px;
        margin-bottom: 0px;
    }

.form-field-select_hidden {
    height: 0px !important;
}

/* select editor */
.form-field-select_editor {
    overflow: visible;
    display: inline-block;
    position: relative;
}
.form-field-select__toolbar {
    position: absolute;
    top: 0px;
    left: 100%;
}
.form-field-select__toolbar div {
    cursor: pointer;
}
input.form-field-select__input {
    position: absolute;
    bottom: 0px;
    left: 0px;
    height: auto;
    width: 230px;
    margin: 3px 4px 3px 6px;
}


/* checkbox */
.form-field-trigger {
    cursor: pointer;
}


.icon_off,
.icon_on {
    padding: 2px 2px 1px 1px;
    border: 1px solid;
}
.icon_off {
    background-color: #DDD;
    border-top-color: #EEE;
    border-right-color: #444;
    border-bottom-color: #444;
    border-left-color: #EEE;
}
.icon_on {
    background-color: #AAA;
    border-top-color: #444;
    border-right-color: #EEE;
    border-bottom-color: #EEE;
    border-left-color: #444;
}
.icon_on:before {
    color: #333;
}


.form-field-checkbox_disabled {
    color: gray;
}
.form-field-checkbox_disabled input[type=checkbox] {
    position: relative;
}
.form-field-checkbox_disabled input[type=checkbox]:before {
    position: absolute;
    background: rgba(255,255,255, 0.5);
    content: ' ';
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
}

/* radio */
.form-field-radio {
    margin-bottom: 15px;
}
    .form-field-radio input {
           margin: 0 3px 0 5px;
           padding: 0px;
    }


/* календарь */
.form-field-calendar {
    position: relative;
}
    .form-field-calendar .form-field {
        margin-right: 36px;
    }
    .form-field-calendar img {
        position: absolute;
        right: 0;
        margin-top: -2px;
        cursor: pointer;
    }

.form-field-daterange > div {
    float: left;
}

.form-field-daterange__separator {
    margin: 5px 10px;
}

.form-field-progressbar {
    height: 12px;
    margin-bottom: 12px;
}
    .form-field-progressbar .ui-progressbar-value {
        background-color: #80B606;
    }


/* TODO: украсить правильно */
fieldset {
    margin: 0 0 12px 0;
    border: 1px solid #CCCCCC;
}

.editor {
    margin-bottom: 12px;
}


/* =========================================================== *
 * Fields Editor - редактор атрибутов                          *
 * =========================================================== */

.board form {
    border: 1px solid;
    background-color: #fffcd7;
}

.ffeditor {
    width: 100%;
    margin-bottom: 12px;
}
.ffeditor .form-label {
    font-size: 11px;
}
/*.ffeditor .form-field {
    margin-bottom: 0px;
}*/
.ffeditor .form-field-input {
    width: 300px;
}

/* панель с кнопками */
.ffeditor__triggers > div {
    float: left;
}

.ffeditor .form-field-input,
.ffeditor .form-field_disabled,
.ffeditor .form-field-select {
    border: none !important;
    border-bottom: 1px lightgray solid !important;
}
.ffeditor .form-field-input,
.ffeditor .form-field-select,
.ffeditor .form-field-select select {
    background: none;
}
.ffeditor .form-field-textarea {
    border: 1px lightgray solid !important;
}


/* Группы */
.ffeditor__group {
    padding: 14px 14px 0px 14px;
    background-color: #FFF;
    margin-bottom: 12px;

    position: relative; /* временно */
}
.ffeditor-placeholder_group {
    padding: 15px 15px 1px 15px; /* добавлены отступы заменяющие бордер */
    margin-bottom: 12px;
}

.ffeditor__parent-icon {
    visibility: hidden;
    position: absolute;
    left: 0px;
    top: -1px;
    margin: 0px;
}
.ffeditor__parent-icon:before {
    padding: 1px;
    font-size: 12px;
    line-height: 15px !important;
}

.ffeditor__group-parent > .ffeditor__parent-icon,
.ffeditor__group__item-parent > .ffeditor__parent-icon,
.ffeditor__subgroup-parent > .ffeditor__parent-icon {
    visibility: visible;
}
.ffeditor__group-parent > .ffeditor__parent-icon:before,
.ffeditor__group__item-parent > .ffeditor__parent-icon:before,
.ffeditor__subgroup-parent > .ffeditor__parent-icon:before {
    color: #999;
}

.ffeditor__group_parent > .ffeditor__parent-icon,
.ffeditor__group__item_parent > .ffeditor__parent-icon,
.ffeditor__subgroup_parent > .ffeditor__parent-icon {
}
.ffeditor__group_parent > .ffeditor__parent-icon:before,
.ffeditor__group__item_parent > .ffeditor__parent-icon:before,
.ffeditor__subgroup_parent > .ffeditor__parent-icon:before {
    color: #FFF;
    background: #55F;
}

.ffeditor__group_hidden {
    background-color: #AAA;
}
.ffeditor__group-params > div,
.ffeditor__subgroup-params > div,
.ffeditor__group__item-mainparams > div {
    float: left;
    margin-right: 10px;
}
.ffeditor__group-move-button,
.ffeditor__group-del-button,
.ffeditor__group-link-button,
.ffeditor__subgroup-move-button,
.ffeditor__subgroup-unlink-button,
.ffeditor__group__item-move-button,
.ffeditor__group__item-del-button,
.ffeditor__group__item-unlink-button {
    width: 16px;
    margin-top: 20px;
    cursor: url('https://mail.google.com/mail/images/2/openhand.cur'), move;
}
.ffeditor__group-del-button,
.ffeditor__group-link-button,
.ffeditor__subgroup-unlink-button,
.ffeditor__group__item-del-button,
.ffeditor__group__item-unlink-button {
    cursor: pointer;
}
div.ffeditor__group-link-button,
div.ffeditor__subgroup-unlink-button,
div.ffeditor__group__item-unlink-button,
div.ffeditor__group-hide-trigger,
div.ffeditor__subgroup-hide-trigger,
div.ffeditor__group__item-hide-trigger,
div.ffeditor__group-del-button,
div.ffeditor__group__item-del-button,
div.ffeditor__group__item-mark-trigger {
    float: right;
}
.ffeditor__group-hide-trigger,
.ffeditor__subgroup-hide-trigger,
.ffeditor__group__item-hide-trigger,
.ffeditor__group__item-mark-trigger {
    margin-top: 19px;
}
.ffeditor__subgroup-show-in-list-trigger,
.ffeditor__group__item-show-in-list-trigger,
.ffeditor__subgroup-show-on-page-trigger,
.ffeditor__group__item-show-on-page-trigger,
.ffeditor__group__item-show-in-order-trigger {
    margin-top: 17px;
}

.ffeditor__group-link-button,
.ffeditor__group_empty .ffeditor__group-move-button,
.ffeditor__group_empty .ffeditor__group-del-button,
.ffeditor__group_empty .ffeditor__group-hide-trigger,
/*.ffeditor__group-parent .ffeditor__group-del-button,*/
.ffeditor__group_parent .ffeditor__group-del-button,
.ffeditor__group_hidden .ffeditor__group-move-button {
    visibility: hidden;
}


/* Атрибуты */
.ffeditor__group__item {
    width: 100%;
    margin-bottom: 6px;
    border-top: 1px solid #CCC;
    border-left: 1px solid #CCC;
    border-bottom: 1px solid #888;
    border-right: 1px solid #888;
    position: relative; /* временно */
}
.ffeditor-placeholder_item {
    margin-bottom: 12px;
    padding: 0px;  /* чтобы заместитель был того же размера что и item */
    background-color: #DDD;
    border: 1px dashed #AAA;
}
.ui-sortable-helper {
    box-shadow:         0px 5px 17px rgba(50, 50, 50, 0.75);
    -webkit-box-shadow: 0px 5px 17px rgba(50, 50, 50, 0.75);
    -moz-box-shadow:    0px 5px 17px rgba(50, 50, 50, 0.75);
    filter: progid:DXImageTransform.Microsoft.shadow(direction=90, color=#323232, strength=10);
}
.ffeditor__group__item_marked,
.ffeditor__group__item_marked .ffeditor__group__item-mainparams {
    -webkit-box-shadow: 0px 0px 10px rgba(94, 157, 211, 1);
    -moz-box-shadow:    0px 0px 10px rgba(94, 157, 211, 1);
    box-shadow:         0px 0px 10px rgba(94, 157, 211, 1);
}
.ffeditor__group__item_clone {
    opacity: 0.5;
    -moz-opacity: 0.5;
    filter: alpha(opacity=50);
}
.ffeditor__group__item-mainparams {
    background: #fff9f9; /* Old browsers */
    background: -moz-linear-gradient(top, #fff9f9 1%, #dbdbdb 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(1%,#fff9f9), color-stop(100%,#dbdbdb)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, #fff9f9 1%,#dbdbdb 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top, #fff9f9 1%,#dbdbdb 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top, #fff9f9 1%,#dbdbdb 100%); /* IE10+ */
    background: linear-gradient(to bottom, #fff9f9 1%,#dbdbdb 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fff9f9', endColorstr='#dbdbdb',GradientType=0 ); /* IE6-9 */

    padding: 5px 10px;
}
.ffeditor__group__item_hidden .ffeditor__group__item-mainparams {
    background: rgb(229,229,229); /* Old browsers */
    background: -moz-linear-gradient(top,  rgba(229,229,229,1) 0%, rgba(153,153,153,1) 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(229,229,229,1)), color-stop(100%,rgba(153,153,153,1))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top,  rgba(229,229,229,1) 0%,rgba(153,153,153,1) 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top,  rgba(229,229,229,1) 0%,rgba(153,153,153,1) 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top,  rgba(229,229,229,1) 0%,rgba(153,153,153,1) 100%); /* IE10+ */
    background: linear-gradient(to bottom,  rgba(229,229,229,1) 0%,rgba(153,153,153,1) 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e5e5e5', endColorstr='#999999',GradientType=0 ); /* IE6-9 */
}

.ffeditor__group-params .form-label,
.ffeditor__subgroup-params .form-label,
.ffeditor__group__item-mainparams .form-label {
    color: #999;
    font-style: italic;
    margin-bottom: 2px;
}
.ffeditor__group__item-mainparams .form-field {
    margin-bottom: 0px;
}
.ffeditor__group__item-mainparams .form-field-input,
.ffeditor__subgroup-params .form-field-input {
    width: 200px;
}
.ffeditor__group__item-params {
    display: none;
    background: #FBFBFB;
}
.ffeditor__group__item-params .form-field {
    width: 216px;
    margin-bottom: 0px;
}
.ffeditor__group__item-params .form-field-textarea {
    height: 150px;
}
.ffeditor__group__item-params .form-field-textarea textarea {
    resize: none;
}
.ffeditor__group__item-params .form-field-select_multiple {
    height: 150px;
}
.ffeditor__group__item-params .form-field-select_multiple select {
    height: 144px;
}
.ffeditor__group__item-params .form-field-calendar {
    float: left;
}
.ffeditor__group__item-pseudo .form-field {
    width: 130px;
}
.ffeditor__group__item-type .form-field-select {
    width: 216px;
    height: 22px;
}
.ffeditor__group__item-type select {
    height: 16px;
}
.ffeditor__group__item-param {
    padding: 5px 0px 5px 36px;
    min-height: 27px;
}
.ffeditor__group__item-param:first-child {
    border-top: 0px;
}
.ffeditor__group__item-param .form-label {
    float: left;
    width: 212px;
    margin: 0px 10px 0px 0px;
    line-height: 26px;
}
.ffeditor__group__item-params-label {
    padding: 5px 0px 5px 36px;
    font-weight: bold;
    border-top: 1px dotted;
    font-size: 12px;
}
.ffeditor__group__item-params-label:first-child {
    border-top: none;
}

/* временно, пока не изменится форма вывода чекбокса */
.ffeditor__group__item-params .form-field-checkbox label {
    float: left;
    width: 260px;
    margin-right: 10px;
}

.ffeditor__subgroup__item-triggers,
.ffeditor__group__item-triggers {
    margin-top: 6px;
}

/* пустой атрибут */
.ffeditor__group__item_empty {
    border: none;
    padding: 1px;
}
.ffeditor__group__item_empty .ffeditor__group__item-mainparams {
    background: none;
}

/* скрываемые элементы пустого атрибута */
.ffeditor__group__item_empty .ffeditor__group__item-move-button,
.ffeditor__group__item_empty .ffeditor__group__item-del-button,
.ffeditor__group__item_empty .ffeditor__group__item-hide-trigger,
.ffeditor__group__item_empty .ffeditor__group__item-important-trigger,
.ffeditor__group__item_empty .ffeditor__group__item-mark-trigger,
.ffeditor__group__item_empty .ffeditor__triggers,

/* скрываемые элементы родительского атрибута */
/*.ffeditor__group__item-parent .ffeditor__group__item-del-button,*/
/* скрываемые элементы ещё не перекрытого родительского атрибута */
.ffeditor__group__item_parent .ffeditor__group__item-del-button,
/* скрываемые элементы не наследуемого атрибута */
.ffeditor__group__item_hidden .ffeditor__group__item-move-button,
/* скрываемые элементы родительского атрибута, находящегося в подгруппе */
/*.ffeditor__group__item-parent.ffeditor__subgroup__item .ffeditor__group__item-move-button,*/
/*.ffeditor__group__item-parent.ffeditor__subgroup__item .ffeditor__group__item-del-button,*/
/*.ffeditor__group__item-parent.ffeditor__subgroup__item .ffeditor__group__item-hide-trigger,*/
.ffeditor__group__item-parent.ffeditor__subgroup__item .ffeditor__group__item-unlink-button {
    visibility: hidden;
}

/* Подгруппы */
.ffeditor__subgroup {
    margin-bottom: 12px;
    background-color: #DDD;
    border: 1px dashed;

    position: relative; /* для абсолютного позиционирования отметки "P" у родительской подгруппы */
}
.ffeditor__subgroup_hidden {
    background-color: #AAA;
}
.ffeditor__subgroup .ffeditor-placeholder_item {
    margin-bottom: 0px;
}
.ffeditor__subgroup-pseudo .form-field-input {
    width: 216px;
}
.ffeditor__subgroup-params {
    padding: 5px 10px 0px;
}
.ffeditor__subgroup__item {
    margin-bottom: 0px;
}
/* кнопка удаления атрибута из подгруппы */
.ffeditor__group__item .ffeditor__group__item-unlink-button {
    display: none;
}
.ffeditor__subgroup__item .ffeditor__group__item-unlink-button {
    display: block;
}
.ffeditor__subgroup__item .ffeditor__group__item-mark-trigger {
    display: none;
}
.ffeditor__subgroup-template {
    clear: left;
    margin-left: 26px;
}
.ffeditor__subgroup-template .form-field-input {
    width: 489px;
}

/* скрываемые элементы родительской подгруппы */
.ffeditor__subgroup-parent .ffeditor__subgroup-unlink-button {
    visibility: hidden;
}

/* =========================================================== *
 * Fields Viewer                                               *
 * =========================================================== */

.form-fields-viewer .form-field-select {
    width: auto;
}

.form-fields-viewer__groups-title {
    font-weight: bold;
    font-size: 14px;
    margin-bottom: 10px;
}

.form-fields-viewer__groups {
    margin-bottom: 10px;
}

.form-fields-viewer__groups-hr .form-fields-viewer__groups-title {
    border-bottom: 1px solid silver;
}

.form-fields-viewer__subgroups-template {
    margin: 6px 0px 12px 0px;
    padding: 5px;
    background: #DDD;
}

.form-fields-viewer .form-field-select_multiple {
    height: 176px;
}
.form-fields-viewer .form-field-select_multiple select {
    height: 170px;
}


/* =========================================================== *
 * Multiselect                                                *
 * =========================================================== */

.multiselect {
}
.multiselect__filter {
    margin-bottom: 10px;
}
.multiselect__filter-button {
    margin-bottom: 5px;
    margin-left: 0px !important;
    margin-right: 5px;
}
.multiselect__filter-button-count {
    font-size: 16px;
}
    .multiselect__filter-button-count .count_empty {
        color: #808080;
    }
    .multiselect__filter-button-count .count_not-empty {
        color: #ffff00;
    }
    .multiselect__filter-button-count .count_full {
        color: inherit;
    }


/* две кнопки на одной подложке, отображаемые при наведении */
/* пока только в фильтре мультиселекта */
.duplex-button {
    text-align: center;
    padding: 6px 16px;
    background-color: #464646;
    color: #fff;
    display: inline-block;
    line-height: 20px;
    position: relative;
    cursor: pointer;
}
    .duplex-button__layout {
        position: absolute;
        left: 0px;
        right: 0px;
        top: 0px;
        bottom: 0px;
        transition: opacity .25s;
        opacity: 0;
        -moz-opacity: 0;
        filter: alpha(opacity=0);
    }
    .duplex-button__left,
    .duplex-button__right {
        position: absolute;
        top: 0px;
        bottom: 0px;
        width: 50%;
        transition: opacity .25s;
        opacity: 0.8;
        -moz-opacity: 0.8;
        filter: alpha(opacity=80);
        background-color: #000;
        line-height: 50px;
    }
    .duplex-button__left {
        left: 0px;
    }
    .duplex-button__right {
        right: 0px;
    }
    .duplex-button:hover .duplex-button__layout {
        opacity: 0.9;
        -moz-opacity: 0.9;
        filter: alpha(opacity=90);
    }
    .duplex-button__left:hover,
    .duplex-button__right:hover {
        opacity: 1;
        -moz-opacity: 1;
        filter: alpha(opacity=100);
    }




.fvalidate {
    display: block;
    position: absolute;
}

.form-field-range__container {
    display: table;
    padding-bottom: 10px;
}
.form-field-range__container > div {
    display: table-cell;
    max-width: 50%;
    padding-left: 4px;
}
.form-field-range__container > div:first-child {
    padding-left: 0px;
}
.form-field-range__block:first-child {
    padding-right: 4px;
}
.form-field-range__prefix,
.form-field-range__postfix {
    margin: 5px 5px 5px 0px;
    float: left;
}
.form-field-range-label {
    margin: 0 5px;
}

/* слайдер для поля диапазона */
.form-field-range__slider {
    padding: 0px;
    margin: 20px 0px 10px;
    position: relative;
}
.form-field-range__slider.ui-slider {
    background: #d0cfcf;
}
.form-field-range__slider.ui-slider-horizontal {
    height: 5px;
}
.form-field-range__slider .ui-slider-range {
    background: #888888;
}
.form-field-range__slider .form-field-range__slider__bar-middle,
.form-field-range__slider .form-field-range__slider__bar-top {
    width: 100%;
    left: 0px;
}
.form-field-range__slider .form-field-range__slider__bar-middle {
    background: #BFE0FD;
}
.form-field-range__slider .form-field-range__slider__bar-top {
    background: #73B9F8;
}
.form-field-range__slider .ui-slider-handle {
    top: 100%;
    width: 8px;
    height: 5px;
    margin-left: -4px;
    margin-top: 4px;
    background: gray;
    border: none;
    cursor: pointer;
}
/* стрелка бегунка */
.form-field-range__slider .ui-slider-handle:before {
    border-style: solid;
    border-width: 0px 4px 4px 4px;
    border-color: transparent;
    border-bottom-color: gray;
    position: absolute;
    bottom: 100%;
    content: '';
    width: 0px;
    height: 0px;
}



.ui-dialog-fullscreen {
    padding: 0px !important;
    position: fixed !important;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 0px;
}

.ui-dialog-fullscreen .ui-dialog-titlebar,
.ui-dialog-fullscreen .ui-dialog-content,
.ui-dialog-fullscreen .form-bbuttons {
    position: absolute !important;
    left: 0px;
    right: 0px;
}
.ui-dialog-fullscreen .ui-dialog-titlebar {
    top: 0px;
}
.ui-dialog-fullscreen .form-bbuttons {
    bottom: 0px;
}
.ui-dialog-fullscreen .ui-dialog-content {
    top: 0px;
    bottom: 0px;
}
